/*
 * @Author: Kane
 * @Date: 2023-02-04 13:24:14
 * @LastEditors: Kane
 * @LastEditTime: 2023-02-04 13:38:03
 * @FilePath: /后端-需求/src/main/java/com/cpic/xim/web/controllers/requirements/response/QueryRequirementStatusResult.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */
package com.cpic.xim.web.controllers.requirements.response;

import com.cpic.xim.data.RequirementStatus;
import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.Vector;

public class QueryRequirementStatusResult
{
    public QueryRequirementStatusResult()
    {}

    public String getMessage()
    {
        return message;
    }

    public void setMessage( String message )
    {
        this.message = message;
    }

    public boolean isSuccess()
    {
        return success;
    }

    public void setSuccess( boolean success )
    {
        this.success = success;
    }

    public int getReturnCode()
    {
        return returnCode;
    }

    public void setReturnCode( int returnCode )
    {
        this.returnCode = returnCode;
    }

    public Vector<RequirementStatus> getRequirementStatus()
    {
        return requirementStatus;
    }

    public void setRequirementStatus( Vector<RequirementStatus> requirement_status )
    {
        this.requirementStatus = requirement_status;
    }

    @JsonProperty( "message" )
    private String message;

    @JsonProperty( "success" )
    private boolean success;

    @JsonProperty( "return_code" )
    private int returnCode;

    @JsonProperty( "requirement_status" )
    private Vector<RequirementStatus> requirementStatus;
}
